var gmeinfo;
var gtypeinfo;
var gvalid_info;
jQuery(document).ready(function ($) {
  // custom form js validation ---------------------------------------------- start
  // mobile / email input

  $('.kiw').bind('input', function(){
    $(".mejs").keyup();
    $(".name").keyup();
    $(".family").keyup();
  });

  $(".mejs").keyup(function (e) {
    var $this = $(this);
    var this_value = keraspay_correct_mobile_number($this.val());

    var name_family = false;
    if (
      $this.closest(".kf").hasClass("knfoptl") ||
      $this.parent().siblings(".kiw.kiw_name").length < 1
    ) {
      name_family = true;
    } else {
      if ($this.parent().siblings(".kiw").length > 0) {
        if (
          !keraspay_is_empty(
            $this.parent().siblings(".kiw").find(".name").val()
          ) &&
          !keraspay_is_empty(
            $this.parent().siblings(".kiw").find(".family").val()
          )
        ) {
          name_family = true;
        }
      } else {
        name_family = true;
      }
    }

    var alsoemail = false;
    if ($this.closest(".kf").hasClass("alsoemail")) {
      alsoemail = true;
    }
    var submit_btn = $this.closest(".kf").siblings("button");

    if (
      keraspay_is_mobile(this_value) ||
      (alsoemail && keraspay_is_email(this_value))
    ) {
      gvalid_info = true;
    } else {
      gvalid_info = false;
    }

    if (
      (keraspay_is_mobile(this_value) ||
        (alsoemail && keraspay_is_email(this_value))) &&
      name_family
    ) {
      submit_btn.prop("disabled", false);
      submit_btn.text(submit_btn.attr("data-main"));
    } else {
      submit_btn.prop("disabled", true);
      submit_btn.text(submit_btn.attr("data-inactive"));
    }
  });

  // name input
  $(".name").keyup(function (e) {
    var $this = $(this);
    var this_value = $this.val();
    var this_is_optional = $this.parent().hasClass("knfoptl");
    if (this_is_optional) return;
    var family = $this.parent().siblings(".kiw_family").find("input").val();
    var submit_btn = $this.closest(".kf").siblings("button");
    if (
      (!keraspay_is_empty(this_value) &&
        !keraspay_is_empty(family) &&
        gvalid_info) ||
      (this_is_optional && gvalid_info)
    ) {
      submit_btn.prop("disabled", false);
      submit_btn.text(submit_btn.attr("data-main"));
    } else {
      submit_btn.prop("disabled", true);
      submit_btn.text(submit_btn.attr("data-inactive"));
    }
  });

  // family input
  $(".family").keyup(function (e) {
    var $this = $(this);
    var this_value = $this.val();
    var this_is_optional = $this.parent().hasClass("knfoptl");
    if (this_is_optional) return;
    var name = $this.parent().siblings(".kiw_name").find("input").val();
    var submit_btn = $this.closest(".kf").siblings("button");
    if (
      (!keraspay_is_empty(this_value) &&
        !keraspay_is_empty(name) &&
        gvalid_info) ||
      (this_is_optional && gvalid_info)
    ) {
      submit_btn.prop("disabled", false);
      submit_btn.text(submit_btn.attr("data-main"));
    } else {
      submit_btn.prop("disabled", true);
      submit_btn.text(submit_btn.attr("data-inactive"));
    }
  });

  // submit button
  $(".sub_js").on("click", function (e) {
    var $this = $(this);
    var $form_id = $this.attr("data-formid");
    var name = "";
    var family = "";
    var mobileemail = keraspay_correct_mobile_number($this.siblings(".kf").find(".mejs").val());
    var $inputType = "";
    var $userisnotuser = $this.siblings(".kf").find(".kiw_submit .userisnotuser").val();

    if (!gvalid_info) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    }
    if (keraspay_is_email(mobileemail)) {
      $inputType = "email";
    }
    if (keraspay_is_mobile(mobileemail)) {
      $inputType = "mobile";
    }

    if ($this.siblings(".kf").find(".name").length > 0) {
      name = $this.siblings(".kf").find(".name").val();
    }
    if ($this.siblings(".kf").find(".family").length > 0) {
      family = $this.siblings(".kf").find(".family").val();
    }

    $.confirm({
      title: "تایید اطلاعات",
      content:
        "<strong>" +
        mobileemail +
        "</strong><br/>" +
        "<strong>" +
        name +
        "</strong><br/>" +
        "<strong>" +
        family +
        "</strong>",
      icon: "fa fa-question-circle",
      boxWidth: "500px",
      useBootstrap: false,
      backgroundDismiss: true,
      animation: "scale",
      closeAnimation: "scale",
      opacity: 0.5,
      buttons: {
        confirm: {
          text: "تایید",
          btnClass: "btn-blue",
          action: function () {
            $.ajax({
              url: keraspay_ajax_opt.ajax_url,
              data: {
                action: "direct_payment_js",
                form_id: $form_id,
                username: name,
                userfamily: family,
                type: $inputType,
                usermobileemail: mobileemail,
                userisnotuser : $userisnotuser,
                security: keraspay_ajax_opt.codetomobileemail,
              },
              type: "post",
              beforeSend: function (response) {
                $this.siblings(".kfotp").find(".kloading").removeClass("khide");
              },
              success: function (response) {
                if ($.trim(response.data.message) == "success") {
                  $this.html($this.attr("data-connect"));
                  $this.prop("disabled", true);
                  window.location.replace(response.data.pay_url);
                  $this.siblings(".kfotp").find(".kloading").addClass("khide");
                }
                if ($.trim(response.data.message) == "wrong-info") {
                  keraspay_notification(keraspay_messeges.wrongInfo);
                }
                if ($.trim(response.data.message) == "name-family-required") {
                  keraspay_notification(keraspay_messeges.nameFamilyRequired);
                }
              },
              complete: function (response) {
                $this.siblings(".kfotp").find(".kloading").addClass("khide");
              },
            });
          },
        },
        cancel: {
          text: "لغو / بستن",
          btnClass: "btn-gray",
          action: function () {},
        },
      },
    });
  });

  // custom form js validation ---------------------------------------------- end

  // custom form no validation ---------------------------------------------- start
  // submit button
  $(".sub_noverify").on("click", function (e) {
    var $this = $(this);
    var $form_id = $this.attr("data-formid");
    var name = "";
    var family = "";
    var mobileemail = keraspay_correct_mobile_number($this.siblings(".kf").find(".mejs").val());
    var $inputType = "";
    var $userisnotuser = $this.siblings(".kf").find(".kiw_submit .userisnotuser").val();

    if (!gvalid_info) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    }
    if (keraspay_is_email(mobileemail)) {
      $inputType = "email";
    }
    if (keraspay_is_mobile(mobileemail)) {
      $inputType = "mobile";
    }

    if ($this.siblings(".kf").find(".name").length > 0) {
      name = $this.siblings(".kf").find(".name").val();
    }
    if ($this.siblings(".kf").find(".family").length > 0) {
      family = $this.siblings(".kf").find(".family").val();
    }

    $.ajax({
      url: keraspay_ajax_opt.ajax_url,
      data: {
        action: "direct_payment_js",
        form_id: $form_id,
        username: name,
        userfamily: family,
        type: $inputType,
        usermobileemail: mobileemail,
        userisnotuser: $userisnotuser,
        security: keraspay_ajax_opt.codetomobileemail,
      },
      type: "post",
      beforeSend: function (response) {
        $this.siblings(".kfotp").find(".kloading").removeClass("khide");
      },
      success: function (response) {
        if ($.trim(response.data.message) == "success") {
          $this.html($this.attr("data-connect"));
          $this.prop("disabled", true);
          window.location.replace(response.data.pay_url);
          $this.siblings(".kfotp").find(".kloading").addClass("khide");
        }
        if ($.trim(response.data.message) == "wrong-info") {
          keraspay_notification(keraspay_messeges.wrongInfo);
        }
        if ($.trim(response.data.message) == "name-family-required") {
          keraspay_notification(keraspay_messeges.nameFamilyRequired);
        }
      },
      complete: function (response) {
        $this.siblings(".kfotp").find(".kloading").addClass("khide");
      },
    });
  });
  // custom form no validation ---------------------------------------------- end

  // custom form otp validation ---------------------------------------------- start
  // inline verify mobile/email - send code
  $(".me").keypress(function (e) {
    var key = e.which;
    if (key == 13) {
      // the enter key code
      $(this).siblings(".isendcode").click();
      return false;
    }
  });

  $(".isendcode").on("click", function (e) {
    e.preventDefault();
    var $this = $(this);
    var $form = $this.parents(".kf");
    var $formid = $form.attr("data-formid");
    var $verify_email = false;

    if ($form.hasClass("alsoemail")) {
      $verify_email = true;
    }

    var $inputType = "";
    var $mobileemail = $this.siblings(".me").val();

    if (keraspay_is_empty($mobileemail)) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    }

    $mobileemail = keraspay_correct_mobile_number($mobileemail);

    if (
      !keraspay_is_email($mobileemail) &&
      $verify_email &&
      !keraspay_is_mobile($mobileemail)
    ) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    } else {
      if (keraspay_is_email($mobileemail)) {
        $inputType = "email";
      }
      if (keraspay_is_mobile($mobileemail)) {
        $inputType = "mobile";
      }
    }
    gmeinfo = $mobileemail;
    gtypeinfo = $inputType;

    jQuery.ajax({
      url: keraspay_ajax_opt.ajax_url,
      type: "POST",
      data: {
        action: "direct_send_code",
        mobileemail: $mobileemail,
        type: $inputType,
        formid: $formid,
        security: keraspay_ajax_opt.codetomobileemail,
      },
      beforeSend: function () {
        $this.parent().siblings(".kloading").removeClass("khide");
      },
      success: function (response) {
        if ($.trim(response) == "success") {
          $this.closest(".kf").find(".kiw_getme").hide();
          $this.closest(".kf").find(".kiw_vc").css('display', 'flex');
          $this.closest(".kf").find(".meverify").focus();
          $this.parent().siblings(".kloading").addClass("khide");
        }
        if ($.trim(response) == "mobile-wrong-info") {
          keraspay_notification(keraspay_messeges.MobileWrong);
        }
        if ($.trim(response) == "sms-send-time-limit") {
          keraspay_notification(keraspay_messeges.SendTimeLimit);
        }
        if ($.trim(response) == "send-failed") {
          keraspay_notification(keraspay_messeges.sendFailed);
        }
        if ($.trim(response) == "wrong-info") {
          keraspay_notification(keraspay_messeges.wrongInfo);
        }
        if ($.trim(response) == "email-not-active") {
          keraspay_notification(keraspay_messeges.emailNotActive);
        }
      },
      complete: function () {
        $this.parent().siblings(".kloading").addClass("khide");
      },
    });
  });

  // inline verify mobile/email - verify code
  $(".meverify").keypress(function (e) {
    var key = e.which;
    if (key == 13) {
      // the enter key code
      $(this).siblings(".iverifycode").click();
      return false;
    }
  });

  jQuery(".iverifycode").on("click", function (e) {
    e.preventDefault();
    var $this = $(this);
    var verifycode = $this.siblings(".meverify").val();
    verifycode = keraspay_correct_mobile_number(verifycode);

    if (keraspay_is_empty(gmeinfo)) return;
    if (jQuery.isNumeric(verifycode)) {
      jQuery.ajax({
        url: mreeir_js_options.ajaxurl,
        type: "POST",
        data: {
          action: "direct_verify_code",
          mobileemail: gmeinfo,
          code: verifycode,
          type: gtypeinfo,
          security: keraspay_ajax_opt.verifymobileemailcode,
        },
        beforeSend: function () {
          $this.parent().siblings(".kloading").removeClass("khide");
        },
        success: function (response) {
          if ($.trim(response.data.message) == "success") {
            $this
              .parent()
              .siblings(".kiw_checksum")
              .find(".verifiedinfo")
              .val(gmeinfo);
            $this
              .parent()
              .siblings(".kiw_checksum")
              .find(".checksum")
              .val(response.data.checksum);

            $this.closest(".kf").find(".kiw_getme").hide();
            $this.closest(".kf").find(".kiw_vc").hide();
            $this.closest(".kf").find(".kiw_checksum").show();
            gvalid_info = true;

            var name_family = false;

            if (
              $this.closest(".kf").hasClass("knfoptl") ||
              $this.parent().siblings(".kiw.kiw_name").length < 1
            ) {
              name_family = true;
            } else {
              if ($this.parent().siblings(".kiw.kiw_name").length > 0) {
                if (
                  !keraspay_is_empty(
                    $this.parent().siblings(".kiw").find(".name").val()
                  ) &&
                  !keraspay_is_empty(
                    $this.parent().siblings(".kiw").find(".family").val()
                  )
                ) {
                  name_family = true;
                }
              } else {
                name_family = true;
              }
            }

            var alsoemail = false;
            if ($this.closest(".kf").hasClass("alsoemail")) {
              alsoemail = true;
            }

            var submit_btn = $this.closest(".kf").siblings("button");

            if ($this.closest(".kf").find(".kiw_name").length > 0) {
              $this.closest(".kf").find(".kiw_name").find(".name").focus();
            }

            if (name_family) {
              submit_btn.prop("disabled", false);
              submit_btn.text(submit_btn.attr("data-main"));
            } else {
              submit_btn.prop("disabled", true);
              submit_btn.text(submit_btn.attr("data-inactive"));
            }
          }

          if ($.trim(response.data.message) == "wrong-code") {
            keraspay_notification(keraspay_messeges.wrongCode);
          }
          if ($.trim(response.data.message) == "wrong-mobile") {
            keraspay_notification(keraspay_messeges.wrongMobile);
          }
          if ($.trim(response.data.message) == "wrong-email") {
            keraspay_notification(keraspay_messeges.wrongEmail);
          }
          if ($.trim(response.data.message) == "wrong-info") {
            keraspay_notification(keraspay_messeges.wrongInfo);
          }
        },
        complete: function () {
          $this.parent().siblings(".kloading").addClass("khide");
        },
      });
    } else {
    }
  });

  // submit button
  $(".sub_otp").on("click", function () {
    var $this = $(this);
    var $form_id = $(".sub_otp").attr("data-formid");
    var $verified_emailmobile = $this.siblings(".kfotp").find(".me").val();
    var $verifycode = $this.siblings(".kfotp").find(".meverify").val();
    var $verified_checksum = $this.siblings(".kfotp").find(".checksum").val();

    var $name = "";
    var $family = "";

    // name field
    if ($this.siblings(".kfotp").find(".name").length > 0) {
      $name = $this.siblings(".kfotp").find(".name").val();

      if (
        !$this.siblings(".kfotp").find(".kiw_name").hasClass("knfoptl") &&
        keraspay_is_empty($name)
      ) {
        keraspay_notification(keraspay_messeges.nameRequired);
        return;
      }
    }

    // family field
    if ($this.siblings(".kfotp").find(".family").length > 0) {
      $family = $this.siblings(".kfotp").find(".family").val();

      if (
        !$this.siblings(".kfotp").find(".kiw_family").hasClass("knfoptl") &&
        keraspay_is_empty($family)
      ) {
        keraspay_notification(keraspay_messeges.familyRequired);
        return;
      }
    }

    if (keraspay_is_empty(gtypeinfo)) {
      keraspay_notification(keraspay_messeges.wrongInfo);
    }

    $.ajax({
      url: keraspay_ajax_opt.ajax_url,
      data: {
        action: "direct_payment_otp",
        form_id: $form_id,
        name: $name,
        family: $family,
        type: gtypeinfo,
        verified_emailmobile: $verified_emailmobile,
        verified_checksum: $verified_checksum,
        verifycode: $verifycode,
      },
      type: "post",
      beforeSend: function (response) {
        $this.siblings(".kfotp").find(".kloading").removeClass("khide");
      },
      success: function (response) {
        if ($.trim(response.data.message) == "success") {
          $this.html($this.attr("data-connect"));
          $this.prop("disabled", true);
          window.location.replace(response.data.pay_url);
          $this.siblings(".kfotp").find(".kloading").addClass("khide");
        }
        if ($.trim(response.data.message) == "wrong-info") {
          keraspay_notification(keraspay_messeges.wrongInfo);
        }
        if ($.trim(response.data.message) == "name-family-required") {
          keraspay_notification(keraspay_messeges.nameFamilyRequired);
        }
      },
      complete: function (response) {
        $this.siblings(".kfotp").find(".kloading").addClass("khide");
        $this.html($this.attr("data-connect"));
      },
    });
  });
  // custom form otp validation ---------------------------------------------- end

  // single product otp validation ---------------------------------------------- start
  // inline verify mobile/email - send code
  $(".me").keypress(function (e) {
    var key = e.which;
    if (key == 13) {
      // the enter key code
      $(this).siblings(".isendcode").click();
      return false;
    }
  });

  $(".isendcode_single").on("click", function (e) {
    e.preventDefault();
    var $this = $(this);
    var $form = $this.parents(".kf");
    var $formid = $form.attr("data-formid");
    var $verify_email = false;

    if ($form.hasClass("alsoemail")) {
      $verify_email = true;
    }

    var $inputType = "";
    var $mobileemail = $this.siblings(".me").val();

    if (keraspay_is_empty($mobileemail)) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    }

    $mobileemail = keraspay_correct_mobile_number($mobileemail);

    if (
      !keraspay_is_email($mobileemail) &&
      $verify_email &&
      !keraspay_is_mobile($mobileemail)
    ) {
      keraspay_notification(keraspay_messeges.MobileEmailNotValid);
      return;
    } else {
      if (keraspay_is_email($mobileemail)) {
        $inputType = "email";
      }
      if (keraspay_is_mobile($mobileemail)) {
        $inputType = "mobile";
      }
    }
    gmeinfo = $mobileemail;
    gtypeinfo = $inputType;

    jQuery.ajax({
      url: keraspay_ajax_opt.ajax_url,
      type: "POST",
      data: {
        action: "direct_send_code_single",
        mobileemail: $mobileemail,
        type: $inputType,
        formid: $formid,
        security: keraspay_ajax_opt.codetomobileemail,
      },
      beforeSend: function () {
        $this.parent().siblings(".kloading").removeClass("khide");
      },
      success: function (response) {
        if ($.trim(response) == "success") {
          $this.closest(".kf").find(".kiw_getme").hide();
          $this.closest(".kf").find(".kiw_vc").css('display', 'flex');
          $this.closest(".kf").find(".meverify").focus();
          $this.parent().siblings(".kloading").addClass("khide");
        }
        if ($.trim(response) == "mobile-wrong-info") {
          keraspay_notification(keraspay_messeges.MobileWrong);
        }
        if ($.trim(response) == "sms-send-time-limit") {
          keraspay_notification(keraspay_messeges.SendTimeLimit);
        }
        if ($.trim(response) == "send-failed") {
          keraspay_notification(keraspay_messeges.sendFailed);
        }
        if ($.trim(response) == "wrong-info") {
          keraspay_notification(keraspay_messeges.wrongInfo);
        }
        if ($.trim(response) == "email-not-active") {
          keraspay_notification(keraspay_messeges.emailNotActive);
        }
      },
      complete: function () {
        $this.parent().siblings(".kloading").addClass("khide");
      },
    });
  });

  // inline verify mobile/email - verify code
  $(".meverify").keypress(function (e) {
    var key = e.which;
    if (key == 13) {
      // the enter key code
      $(this).siblings(".iverifycode").click();
      return false;
    }
  });

  // submit button
  $(".sub_otp_single").on("click", function () {
    var $this = $(this);
    var $form_id = $(".sub_otp_single").attr("data-formid");
    var $verified_emailmobile = $this.siblings(".kfotp").find(".me").val();
    var $verifycode = $this.siblings(".kfotp").find(".meverify").val();
    var $verified_checksum = $this.siblings(".kfotp").find(".checksum").val();

    var $name = "";
    var $family = "";

    // name field
    if ($this.siblings(".kfotp").find(".name").length > 0) {
      $name = $this.siblings(".kfotp").find(".name").val();

      if (
        $this.siblings(".kfotp").find(".kiw_name").hasClass("knfoptl") ||
        keraspay_is_empty($name)
      ) {
        keraspay_notification(keraspay_messeges.nameRequired);
        return;
      }
    }

    // family field
    if ($this.siblings(".kfotp").find(".family").length > 0) {
      $family = $this.siblings(".kfotp").find(".family").val();

      if (
        $this.siblings(".kfotp").find(".kiw_name").hasClass("knfoptl") ||
        keraspay_is_empty($family)
      ) {
        keraspay_notification(keraspay_messeges.familyRequired);
        return;
      }
    }

    $.ajax({
      url: keraspay_ajax_opt.ajax_url,
      data: {
        action: "direct_payment_otp_single",
        form_id: $form_id,
        name: $name,
        family: $family,
        verified_emailmobile: $verified_emailmobile,
        verified_checksum: $verified_checksum,
        verifycode: $verifycode,
      },
      type: "post",
      beforeSend: function (response) {
        $this.siblings(".kfotp").find(".kloading").removeClass("khide");
      },
      success: function (response) {
        if ($.trim(response.data.message) == "success") {
          $this.html($this.attr("data-connect"));
          $this.prop("disabled", true);
          window.location.replace(response.data.pay_url);
          $this.siblings(".kfotp").find(".kloading").addClass("khide");
        }
        if ($.trim(response.data.message) == "wrong-info") {
          keraspay_notification(keraspay_messeges.wrongInfo);
        }
        if ($.trim(response.data.message) == "name-family-required") {
          keraspay_notification(keraspay_messeges.nameFamilyRequired);
        }
      },
      complete: function (response) {
        $this.siblings(".kfotp").find(".kloading").addClass("khide");
        $this.html($this.attr("data-connect"));
      },
    });
  });
  // single product otp validation ---------------------------------------------- end
});

// check empty
var keraspay_is_empty = function (data) {
  if (typeof data === "object") {
    if (JSON.stringify(data) === "{}" || JSON.stringify(data) === "[]") {
      return true;
    } else if (!data) {
      return true;
    }
    return false;
  } else if (typeof data === "string") {
    if (!data.trim()) {
      return true;
    }
    return false;
  } else if (typeof data === "undefined") {
    return true;
  } else {
    return false;
  }
};

function keraspay_is_email(email) {
  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test(email);
}

function keraspay_is_mobile(mobileNumber) {
  var regex = /^09\d{9}$/;
  return regex.test(mobileNumber);
}

function keraspay_correct_mobile_number($mobile) {
  var inputs = "" + $mobile;
  new_val = inputs
    .replace(/۰/g, "0")
    .replace(/۱/g, "1")
    .replace(/۲/g, "2")
    .replace(/۳/g, "3")
    .replace(/۴/g, "4")
    .replace(/۵/g, "5")
    .replace(/۶/g, "6")
    .replace(/۷/g, "7")
    .replace(/۸/g, "8")
    .replace(/۹/g, "9")
    .replace(/٤/g, "4")
    .replace(/٥/g, "5")
    .replace(/٦/g, "6");

  new_val = new_val
    .replace(/٠/g, "0")
    .replace(/١/g, "1")
    .replace(/٢/g, "2")
    .replace(/٣/g, "3")
    .replace(/٤/g, "4")
    .replace(/۵/g, "5")
    .replace(/٦/g, "6")
    .replace(/٧/g, "7")
    .replace(/٨/g, "8")
    .replace(/٩/g, "9")
    .replace(/٤/g, "4")
    .replace(/٥/g, "5")
    .replace(/٦/g, "6");
  return new_val;
}

function keraspay_notification(message) {
  jQuery.toast({
    text: message,
    showHideTransition: "fade",
    textAlign: "center",
    stack: false,
    position: "bottom-center",
    bgColor: "#444",
    textColor: "#fff",
    loaderBg: "#9EC600",
    class: "mreeir-error-toast",
    hideAfter: 3000,
    allowToastClose: false,
  });
}

var keraspay_messeges = {
  MobileWrong: "شماره موبایل معتبر نیست",
  MobileEmailNotValid: "اطلاعات وارد شده معتبر نیست",
  sendFailed: "خطا در ارسال پیامک",
  wrongCode: "کد تایید اشتباه است",
  wrongMobile: "شماره موبایل معتبر نیست",
  wrongEmail: "آدرس ایمیل معتبر نیست",
  wrongInfo: "اطلاعات وارد شده معتبر نیست",
  SendTimeLimit: "لطفاً برای ارسال مجدد کد تایید لحظاتی صبر کنید",
  emptyPassword: "لطفاً همه اطلاعات را وارد کنید",
  nameRequired: "لطفاً نام خود را وارد کنید",
  familyRequired: "لطفاً نام خانوادگی خود را وارد کنید",
  firstverify: 'لطفا با استفاده از دکمه "ارسال کد" احراز هویت را انجام دهید',
  emailNotActive: "ثبت سفارش فقط با شماره موبایل امکانپذیر است",
  nameFamilyRequired: "ورود نام و نام خانوادگی الزامی می باشد",
};
